﻿namespace TabsStudioDisambiguator
{
    class TabInfo
    {
        public TabInfo(TabsStudioExt.Tab tab_)
        {
            tab = tab_;
        }

        public string GetParent(DisambiguationType type)
        {
            if (type == DisambiguationType.Folder && folder != null)
                return folder;
            if (type == DisambiguationType.Project && project != null)
                return project;
            if (type == DisambiguationType.Directory && directory != null)
                return directory;

            if (project != null)
                return project;
            if (folder != null)
                return folder;
            if (directory != null)
                return directory;

            return null;
        }

        public TabsStudioExt.Tab tab;
        public string folder;
        public string project;
        public string directory;
    }
}
