﻿namespace TabsStudioDisambiguator
{
    class UniqueStringsCounter
    {
        public UniqueStringsCounter()
        {
            strings = new System.Collections.Generic.List<string>();
            count = 0;
        }

        public void Add(string s)
        {
            if (s == null)
                return;

            bool unique = true;
            foreach (string i in strings)
            {
                if (string.Compare(s, i, true) == 0)
                {
                    unique = false;
                    break;
                }
            }
            if (unique)
                ++count;
            strings.Add(s);
        }

        public uint GetCount()
        {
            return count;
        }

        private System.Collections.Generic.List<string> strings;
        private uint count;
    }
}
